Errore di installazione se .NET Framework 4,6 è installato

Sintomi

Quando si esegue il programma di installazione di Microsoft SharePoint Foundation 2013 con Service Pack 1, SharePoint Server 2013 con Service Pack 1 o Project Server 2013 con Service Pack 1 in un computer in cui è installato Microsoft .NET Framework 4,6, 4.6.1 o 4.6.2, è viene visualizzato il messaggio di errore seguente:

Il programma di installazione non è in grado di procedere a causa degli errori seguenti: questo prodotto richiede Microsoft .NET Framework 4,5.

Causa

Questo problema si verifica perché il programma di installazione di SharePoint e i programmi di installazione di Project Server non riconoscono .NET Framework 4,6, 4.6.1 o 4.6.2 come versione supportata di .NET Framework.

Soluzione

Per risolvere il problema, attenersi alla seguente procedura:

  1. Estrarre il supporto di installazione in un percorso scrivibile.

    • Se il supporto di installazione è un file eseguibile (con estensione exe), estrarre i file e le cartelle dal file eseguibile in un percorso scrivibile eseguendo il comando seguente al prompt dei comandi:

      <executable file name> /extract:<path to writable location>
      

      Ad esempio, eseguire il seguente comando:

      sharepoint.exe /extract:C:\SharePointInstaller
      
    • Se il supporto di installazione è un'immagine del disco ISO o IMG (con estensione ISO o IMG), montare l'immagine del disco e quindi copiare i file e le cartelle dall'immagine del disco in un percorso scrivibile.

  2. Scaricare il file compresso (con estensione zip) contenente la correzione che corrisponde al prodotto che si sta installando:

  3. Aprire il file con estensione zip.

  4. Copiare il file di supporto dell'installazione seguente, a seconda dei casi, dal file. zip nella cartella "Updates" nel percorso scrivibile.

    • SharePoint Foundation 2013 con Service Pack 1: Wsssetup. dll
    • SharePoint Server 2013 con Service Pack 1: file svrsetup. dll
    • Project Server 2013 con Service Pack 1: file svrsetup. dll
  5. Eseguire il file Setup. exe dal percorso scrivibile per avviare l'installazione di SharePoint o l'installazione di Project Server. Il programma di installazione utilizzerà il file di supporto contenente la correzione che è stata copiata nella cartella "Updates".

Soluzione

Se non è possibile utilizzare il metodo Fix fornito nella sezione "Resolution", è disponibile un metodo di soluzione alternativa alternativo.

Per ovviare a questo problema, verificare che .NET Framework 4,6, 4.6.1 o 4.6.2 non sia installato quando si esegue il programma di installazione di SharePoint.

Se Microsoft .NET Framework 4,6, 4.6.1 o 4.6.2 è già installato, eseguire la procedura seguente:

  1. Disinstallare .NET Framework 4,6, 4.6.1 o 4.6.2. A tale scopo, passare alla posizione specifica per il sistema operativo, come indicato negli articoli della Microsoft Knowledge Base:

    • 3151800 il programma di installazione di .NET Framework 4.6.2 offline per Windows
    • 3102436 il programma di installazione di .NET Framework 4.6.1 offline per Windows
    • 3045557 Microsoft .net Framework 4,6 (programma di installazione offline) per Windows

    Note In Windows Server 2012 o Windows Server 2012 R2, .NET Framework è un componente del sistema operativo e non può essere disinstallato in modo indipendente. Gli aggiornamenti di .NET Framework vengono visualizzati nella scheda aggiornamenti installati dell'app funzionalità e programmi del pannello di controllo. Per i sistemi operativi in cui .NET Framework non è preinstallato, .NET Framework viene visualizzato nella scheda Disinstalla o modifica programma (o nella scheda Installazione applicazioni) dell'applicazione programma e funzionalità nel pannello di controllo. Per ulteriori informazioni, vedere risoluzione dei problemi relativi alle installazioni e disinstallazione di .NET Framework e agli articoli della Microsoft Knowledge Base elencati in precedenza.

  2. Riavviare il computer.

  3. Installare il programma di installazione Web per .NET Framework 4.5.2.

  4. Eseguire il programma di installazione di SharePoint per installare SharePoint.
    Dopo l'installazione di SharePoint, è possibile eseguire l'aggiornamento da .NET Framework 4.5.2 a .NET Framework 4,6, 4.6.1 o 4.6.2.

Ulteriori informazioni

Anche se durante l'installazione viene visualizzato il messaggio di errore, SharePoint Foundation 2013 e SharePoint Server 2013 sono ancora supportati dopo l'aggiornamento a .NET Framework 4,6, .NET Framework 4.6.1 o .NET Framework 4.6.2.

Note Il supporto formale per .NET Framework 4.5.1, 4,5 e 4,0 è terminato nel gennaio 2016.

Stato

Microsoft ha confermato che si tratta di un problema nei prodotti Microsoft elencati nella sezione "si applica a".